
.product_category_left{
    background: #f1f1f178 !important;
    box-shadow: rgba(50, 50, 93, 0.25) 0px 6px 12px -2px, rgba(0, 0, 0, 0.3) 0px 3px 7px -3px;
    border-radius: 0 0 10px 10px;
    
}

.flex-row{
    display: flex;
    flex-wrap: wrap;
}

@media(max-width:992px){
    .mobile_dflex{
        text-align:center;
    }
}

@media(max-width:768px){
    .mobile_dflex{
        text-align:center;
    }

    .product_category_filter .filter_category {
        width: 80%;
    }
}

@media (max-width: 576px) {
    .product_category_filter .filter_category {
        width: 90%;
    }
}

.product_category_filter {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 9999999;
    visibility: hidden;
    opacity: 0;
    transition: opacity 0.3s ease, visibility 0.3s ease;
}

.product_category_filter.active {
    visibility: visible;
    opacity: 1;
}

.product_category_filter .overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
    z-index: 1000;
    display: flex;
    align-items: flex-start;
}

.product_category_filter .filter_category {
    position: relative;
    z-index: 1001;
    background-color: white;
    height: 100%;
    box-shadow: 0 4px 20px rgba(0, 0, 0, 0.3);
    width: 50%;
    transform: translateX(-100%); /* Ban đầu ẩn bên trái */
    transition: transform 0.4s ease-in-out;
    padding: 10px;
}

.product_category_filter.active .filter_category {
    transform: translateX(0);
}

.icon_close_filter {
    position: absolute;
    top: 10px;
    right: 10px;
    color: #333;
    background: #fff;
    width: 35px;
    height: 35px;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 50%;
    cursor: pointer;
    font-size: 18px;
    z-index: 10;
    box-shadow: 0 2px 8px rgba(0,0,0,0.2);
    transition: all 0.3s;
}

.icon_close_filter:hover {
    background: #f44336;
    color: #fff;
    transform: rotate(90deg);
}

#icon_filter {
    cursor: pointer;
}
